# List Pocket Portals

This endpoint lists the payment portals associated with a specific Jiko pocket ID.
Returns a `PortalListResponse` object containing a list of `Portal` objects.

Endpoint: GET /api/v2/pockets/{pocket_id}/portals/
Version: Version: cf52545e
Security: CodeBearer

## Path parameters:

  - `pocket_id` (string, required)

## Query parameters:

  - `type[]` (any)

  - `status[]` (any)

  - `cursor` (string)

  - `limit` (integer)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.pocket_id` (string, required)

  - `items.time_created` (string, required)

  - `items.name` (string, required)
    Portal name

  - `items.status` (string, required)
    Portal status
    Enum: "OPEN", "CLOSED", "PENDING", "REJECTED"

  - `items.type` (string, required)

  - `items.routing_number` (string, required)
    Routing number

  - `items.account_number` (string, required)
    Account number

  - `items.payment_rails` (array, required)
    Specifies which payment rails (ACH, WIRE, ON_US) are accepted.

  - `items.chain` (string, required)
    `ETH` is supported at this time.

  - `items.wallet_address` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

